    <!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="generator" content="ExDoc v0.15.1">
    <title>BachelorThesis.DeviceController – bachelor_thesis v0.0.1</title>
    <link rel="stylesheet" href="dist/app-af302bfcc4.css" />
    
    <script src="dist/sidebar_items-1963507629.js"></script>
  </head>
  <body data-type="modules">
    <script>try { if(localStorage.getItem('night-mode')) document.body.className += ' night-mode'; } catch (e) { }</script>

    <div class="main">
<button class="sidebar-toggle">
  <i class="icon-menu"></i>
</button>
<section class="sidebar">

  
  <a href="api-reference.html" class="sidebar-projectLink">
    <div class="sidebar-projectDetails">
      <h1 class="sidebar-projectName">
        bachelor_thesis
      </h1>
      <h2 class="sidebar-projectVersion">
        v0.0.1
      </h2>
    </div>
    
  </a>

  <div class="sidebar-search">
    <i class="icon-search"></i>
    <input type="text" class="sidebar-searchInput" placeholder="search" autocomplete="off" />
  </div>

  <ul class="sidebar-listNav">
    <li><a id="extras-list" href="#full-list">Pages</a></li>

    
      <li><a id="modules-list" href="#full-list">Modules</a></li>
    

    

    
  </ul>
  <div class="gradient"></div>
  <ul id="full-list" class="sidebar-fullList"></ul>
</section>

<section class="content">
  <div class="content-outer">
    <div id="content" class="content-inner">


      <h1>
        <small class="visible-xs">bachelor_thesis v0.0.1</small>
        BachelorThesis.DeviceController
        
        
      </h1>

      

      
        <section id="summary" class="details-list">
          <h1 class="section-heading">
            <a class="hover-link" href="#summary">
              <i class="icon-link"></i>
            </a>
            Summary
          </h1>
          

          
  <div class="summary-functions summary">
    <h2>
      <a href="#functions">Functions</a>
    </h2>
    <div class="summary-row">
  <div class="summary-signature">
    <a href="#activateDevice/2">activateDevice(conn, map)</a>
  </div>
  
    <div class="summary-synopsis"><p>Function activates device</p>
</div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#create/2">create(conn, map)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#delete/2">delete(conn, map)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#deletePairDevice/2">deletePairDevice(conn, map)</a>
  </div>
  
    <div class="summary-synopsis"><p>Function delete pair up request from database</p>
</div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#edit/2">edit(conn, map)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#existsPairUpRequest/1">existsPairUpRequest(device_id)</a>
  </div>
  
    <div class="summary-synopsis"><p>Function returns if there is currently pair up request</p>
</div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#index/2">index(conn, params)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#new/2">new(conn, map)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#pairDevice/2">pairDevice(conn, map)</a>
  </div>
  
    <div class="summary-synopsis"><p>Function insert pair up request to database</p>
</div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#pairUpDeviceByToken/2">pairUpDeviceByToken(conn, map)</a>
  </div>
  
    <div class="summary-synopsis"><p>Function pair up device using token. Function return token in JSON format</p>
</div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#show/2">show(conn, map)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#unpairDevice/2">unpairDevice(conn, map)</a>
  </div>
  
    <div class="summary-synopsis"><p>Function deactivates device</p>
</div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#update/2">update(conn, map)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#update/4">update(conn, id, device_params, user_id)</a>
  </div>
  
</div>
<div class="summary-row">
  <div class="summary-signature">
    <a href="#updateDevice/2">updateDevice(id, device_params)</a>
  </div>
  
</div>

  </div>


          

        </section>
      

      

      
        <section id="functions" class="details-list">
          <h1 class="section-heading">
            <a class="hover-link" href="#functions">
              <i class="icon-link"></i>
            </a>
            Functions
          </h1>
          <div class="detail" id="activateDevice/2">
  
  <div class="detail-header">
    <a href="#activateDevice/2" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">activateDevice(conn, map)</span>
    
    
    
  </div>
  <section class="docstring">
    <p>Function activates device</p>

  </section>
</div>
<div class="detail" id="create/2">
  
  <div class="detail-header">
    <a href="#create/2" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">create(conn, map)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="delete/2">
  
  <div class="detail-header">
    <a href="#delete/2" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">delete(conn, map)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="deletePairDevice/2">
  
  <div class="detail-header">
    <a href="#deletePairDevice/2" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">deletePairDevice(conn, map)</span>
    
    
    
  </div>
  <section class="docstring">
    <p>Function delete pair up request from database</p>

  </section>
</div>
<div class="detail" id="edit/2">
  
  <div class="detail-header">
    <a href="#edit/2" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">edit(conn, map)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="existsPairUpRequest/1">
  
  <div class="detail-header">
    <a href="#existsPairUpRequest/1" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">existsPairUpRequest(device_id)</span>
    
    
    
  </div>
  <section class="docstring">
    <p>Function returns if there is currently pair up request</p>

  </section>
</div>
<div class="detail" id="index/2">
  
  <div class="detail-header">
    <a href="#index/2" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">index(conn, params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="new/2">
  
  <div class="detail-header">
    <a href="#new/2" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">new(conn, map)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="pairDevice/2">
  
  <div class="detail-header">
    <a href="#pairDevice/2" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">pairDevice(conn, map)</span>
    
    
    
  </div>
  <section class="docstring">
    <p>Function insert pair up request to database</p>

  </section>
</div>
<div class="detail" id="pairUpDeviceByToken/2">
  
  <div class="detail-header">
    <a href="#pairUpDeviceByToken/2" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">pairUpDeviceByToken(conn, map)</span>
    
    
    
  </div>
  <section class="docstring">
    <p>Function pair up device using token. Function return token in JSON format</p>

  </section>
</div>
<div class="detail" id="show/2">
  
  <div class="detail-header">
    <a href="#show/2" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">show(conn, map)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="unpairDevice/2">
  
  <div class="detail-header">
    <a href="#unpairDevice/2" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">unpairDevice(conn, map)</span>
    
    
    
  </div>
  <section class="docstring">
    <p>Function deactivates device</p>

  </section>
</div>
<div class="detail" id="update/2">
  
  <div class="detail-header">
    <a href="#update/2" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">update(conn, map)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="update/4">
  
  <div class="detail-header">
    <a href="#update/4" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">update(conn, id, device_params, user_id)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>
<div class="detail" id="updateDevice/2">
  
  <div class="detail-header">
    <a href="#updateDevice/2" class="detail-link" title="Link to this function">
      <i class="icon-link"></i>
    </a>
    <span class="signature">updateDevice(id, device_params)</span>
    
    
    
  </div>
  <section class="docstring">
    
  </section>
</div>

        </section>
      

      
          <footer class="footer">
        <p>
          <span class="line">
            Built using
            <a href="https://github.com/elixir-lang/ex_doc" title="ExDoc" rel="help" target="_blank">ExDoc</a> (v0.15.1),
          </span>
          <span class="line">
            designed by
            <a href="https://twitter.com/dignifiedquire" target="_blank" title="@dignifiedquire">Friedel Ziegelmayer</a>.
            </span>
        </p>
        <button class="night-mode-toggle" />
      </footer>
    </div>
  </div>
</section>
</div>
  <script src="dist/app-e9767fa739.js"></script>
  </body>
</html>

